namespace OpenWarehouse.auth.api.Common.Exemptions;

public class RoleExemptions : Exception
{
    private Dictionary<string, string> _otherProblem;
    private string? _message;
    private bool _roleExist;


    public bool RoleExist
    {
        get => _roleExist;
        set => _roleExist = value;
    }

    public override string Message => _message ?? "";

    public Dictionary<string, string> OtherProblem
    {
        get => _otherProblem;
        set => _otherProblem = value;
    }

    public RoleExemptions(bool accountExist = true, string? message = null, Dictionary<string, string>? otherProblem = null)
    {
        _otherProblem = otherProblem ?? new Dictionary<string, string>();
        _roleExist = accountExist;
        _message = message;
    }
}